'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _image = require('./components/image');

var _image2 = _interopRequireDefault(_image);

var _content = require('./components/content');

var _content2 = _interopRequireDefault(_content);

var _header = require('./components/header');

var _header2 = _interopRequireDefault(_header);

var _footer = require('./components/footer');

var _footer2 = _interopRequireDefault(_footer);

var _modifiers = require('../../modifiers');

var _modifiers2 = _interopRequireDefault(_modifiers);

var _element = require('../element');

var _element2 = _interopRequireDefault(_element);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Card = function Card(_ref) {
  var className = _ref.className,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['className', 'children']);

  return _react2.default.createElement(
    _element2.default,
    _extends({
      className: (0, _classnames2.default)('card', className)
    }, props),
    children
  );
};

Card.Image = _image2.default;

Card.Content = _content2.default;

Card.Header = _header2.default;

Card.Footer = _footer2.default;

Card.propTypes = _extends({}, _modifiers2.default.propTypes, {
  className: _propTypes2.default.string,
  children: _propTypes2.default.node,
  style: _propTypes2.default.shape({}),
  renderAs: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.func])
});

Card.defaultProps = _extends({}, _modifiers2.default.defaultProps, {
  className: '',
  children: null,
  style: {},
  renderAs: 'div'
});

exports.default = Card;
//# sourceMappingURL=card.js.map