'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _columns = require('react-bulma-components/lib/components/columns');

var _columns2 = _interopRequireDefault(_columns);

var _box = require('react-bulma-components/lib/components/box');

var _box2 = _interopRequireDefault(_box);

var _heading = require('react-bulma-components/lib/components/heading');

var _heading2 = _interopRequireDefault(_heading);

var _constants = require('./constants');

var _constants2 = _interopRequireDefault(_constants);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _react3.storiesOf)('Columns', module).add('Basic', function () {
  return _react2.default.createElement(
    _columns2.default,
    null,
    _react2.default.createElement(
      _columns2.default.Column,
      null,
      _react2.default.createElement(
        'p',
        { className: 'bd-notification is-success' },
        'First Column'
      )
    ),
    _react2.default.createElement(
      _columns2.default.Column,
      null,
      _react2.default.createElement(
        'p',
        { className: 'bd-notification is-info' },
        'Second Column'
      )
    ),
    _react2.default.createElement(
      _columns2.default.Column,
      null,
      _react2.default.createElement(
        'p',
        { className: 'bd-notification is-warning' },
        'Third Column'
      )
    ),
    _react2.default.createElement(
      _columns2.default.Column,
      null,
      _react2.default.createElement(
        'p',
        { className: 'bd-notification is-warning' },
        'Fourth Column'
      )
    )
  );
}).add('Sizes by name', function () {
  return _react2.default.createElement(
    'div',
    null,
    Object.keys(_constants2.default.SIZES).map(function (size) {
      return _react2.default.createElement(
        _columns2.default,
        { key: size },
        _react2.default.createElement(
          _columns2.default.Column,
          { size: _constants2.default.SIZES[size] },
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-success' },
            _constants2.default.SIZES[size]
          )
        ),
        _react2.default.createElement(
          _columns2.default.Column,
          null,
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-info' },
            'Auto'
          )
        )
      );
    })
  );
}).add('Sizes by 12 Columns', function () {
  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      _columns2.default,
      null,
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-success' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-info' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-warning' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-danger' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-white' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-light' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-dark' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-black' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-dark' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-light' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-white' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-danger' },
          'size-1'
        )
      )
    ),
    _react2.default.createElement(
      _columns2.default,
      null,
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 2 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-success' },
          'size-2'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-warning' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-danger' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-white' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-light' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-dark' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-black' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-dark' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-light' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-white' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-danger' },
          'size-1'
        )
      )
    ),
    _react2.default.createElement(
      _columns2.default,
      null,
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 3 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-success' },
          'size-3'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-danger' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-white' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-light' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-dark' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-black' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-dark' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-light' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-white' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-danger' },
          'size-1'
        )
      )
    ),
    _react2.default.createElement(
      _columns2.default,
      null,
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 4 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-success' },
          'size-4'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-white' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-light' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-dark' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-black' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-dark' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-light' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-white' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-danger' },
          'size-1'
        )
      )
    ),
    _react2.default.createElement(
      _columns2.default,
      null,
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 5 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-success' },
          'size-5'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-light' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-dark' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-black' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-dark' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-light' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-white' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-danger' },
          'size-1'
        )
      )
    ),
    _react2.default.createElement(
      _columns2.default,
      null,
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 6 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-success' },
          'size-6'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-dark' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-black' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-dark' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-light' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-white' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-danger' },
          'size-1'
        )
      )
    ),
    _react2.default.createElement(
      _columns2.default,
      null,
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 7 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-success' },
          'size-7'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-black' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-dark' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-light' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-white' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-danger' },
          'size-1'
        )
      )
    ),
    _react2.default.createElement(
      _columns2.default,
      null,
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 8 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-success' },
          'size-8'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-dark' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-light' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-white' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-danger' },
          'size-1'
        )
      )
    ),
    _react2.default.createElement(
      _columns2.default,
      null,
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 9 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-success' },
          'size-9'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-light' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-white' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-danger' },
          'size-1'
        )
      )
    ),
    _react2.default.createElement(
      _columns2.default,
      null,
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 10 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-success' },
          'size-10'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-white' },
          'size-1'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-danger' },
          'size-1'
        )
      )
    ),
    _react2.default.createElement(
      _columns2.default,
      null,
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 11 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-success' },
          'size-11'
        )
      ),
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-danger' },
          'size-1'
        )
      )
    ),
    _react2.default.createElement(
      _columns2.default,
      null,
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 12 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-success' },
          'size-12'
        )
      )
    )
  );
}).add('With Offset', function () {
  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      _columns2.default,
      { mobile: true },
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 'half', offset: 'one-quarter' },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-info' },
          'size half',
          _react2.default.createElement('br', null),
          'offset one-quarter'
        )
      )
    ),
    _react2.default.createElement(
      _columns2.default,
      { mobile: true },
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 4, offset: 8 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-info' },
          'size 4',
          _react2.default.createElement('br', null),
          'offset 8'
        )
      )
    ),
    _react2.default.createElement(
      _columns2.default,
      { mobile: true },
      _react2.default.createElement(
        _columns2.default.Column,
        { size: 11, offset: 1 },
        _react2.default.createElement(
          'p',
          { className: 'bd-notification is-info' },
          'size 11',
          _react2.default.createElement('br', null),
          'offset 1'
        )
      )
    )
  );
}).add('Narrow', function () {
  return _react2.default.createElement(
    _columns2.default,
    null,
    _react2.default.createElement(
      _columns2.default.Column,
      { narrow: true },
      _react2.default.createElement(
        _box2.default,
        { style: { width: 200 } },
        _react2.default.createElement(
          _heading2.default,
          { size: 5, renderAs: 'p' },
          'Narrow column'
        ),
        _react2.default.createElement(
          _heading2.default,
          { subtitle: true, renderAs: 'p' },
          'This column is only 200px wide.'
        )
      )
    ),
    _react2.default.createElement(
      _columns2.default.Column,
      null,
      _react2.default.createElement(
        _box2.default,
        null,
        _react2.default.createElement(
          _heading2.default,
          { size: 5, renderAs: 'p' },
          'Flexible column'
        ),
        _react2.default.createElement(
          _heading2.default,
          { subtitle: true, renderAs: 'p' },
          'This column will take up the remaining space available.'
        )
      )
    )
  );
}).add('Responsive', function () {
  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      _box2.default,
      null,
      _react2.default.createElement(
        _heading2.default,
        { size: 5, renderAs: 'p' },
        'Mobile'
      ),
      _react2.default.createElement(
        _columns2.default,
        { breakpoint: 'mobile' },
        _react2.default.createElement(
          _columns2.default.Column,
          null,
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-success' },
            'First Column'
          )
        ),
        _react2.default.createElement(
          _columns2.default.Column,
          null,
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-info' },
            'Second Column'
          )
        ),
        _react2.default.createElement(
          _columns2.default.Column,
          null,
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-warning' },
            'Third Column'
          )
        ),
        _react2.default.createElement(
          _columns2.default.Column,
          null,
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-warning' },
            'Fourth Column'
          )
        )
      )
    ),
    _react2.default.createElement(
      _box2.default,
      null,
      _react2.default.createElement(
        _heading2.default,
        { renderAs: 'p', size: 5 },
        'Tablet'
      ),
      _react2.default.createElement(
        _columns2.default,
        { breakpoint: 'tablet' },
        _react2.default.createElement(
          _columns2.default.Column,
          null,
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-success' },
            'First Column'
          )
        ),
        _react2.default.createElement(
          _columns2.default.Column,
          null,
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-info' },
            'Second Column'
          )
        ),
        _react2.default.createElement(
          _columns2.default.Column,
          null,
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-warning' },
            'Third Column'
          )
        ),
        _react2.default.createElement(
          _columns2.default.Column,
          null,
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-warning' },
            'Fourth Column'
          )
        )
      )
    ),
    _react2.default.createElement(
      _box2.default,
      null,
      _react2.default.createElement(
        _heading2.default,
        { renderAs: 'p', size: 5 },
        'Desktop'
      ),
      _react2.default.createElement(
        _columns2.default,
        { breakpoint: 'desktop' },
        _react2.default.createElement(
          _columns2.default.Column,
          null,
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-success' },
            'First Column'
          )
        ),
        _react2.default.createElement(
          _columns2.default.Column,
          null,
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-info' },
            'Second Column'
          )
        ),
        _react2.default.createElement(
          _columns2.default.Column,
          null,
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-warning' },
            'Third Column'
          )
        ),
        _react2.default.createElement(
          _columns2.default.Column,
          null,
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-warning' },
            'Fourth Column'
          )
        )
      )
    )
  );
}).add('Different column size per breakpoint', function () {
  return _react2.default.createElement(
    _columns2.default,
    { breakpoint: 'mobile' },
    _react2.default.createElement(
      _columns2.default.Column,
      {
        mobile: {
          size: 'three-quarters'
        },
        tablet: {
          size: 'two-thirds'
        },
        desktop: {
          size: 'half'
        },
        widescreen: {
          size: 'one-third'
        },
        fullhd: {
          size: 'one-quarter'
        }
      },
      _react2.default.createElement(
        'p',
        { className: 'bd-notification is-success' },
        'is-three-quarters-mobile',
        _react2.default.createElement('br', null),
        'is-two-thirds-tablet',
        _react2.default.createElement('br', null),
        'is-half-desktop is-one-third-widescreen is-one-quarter-fullhd'
      )
    ),
    _react2.default.createElement(
      _columns2.default.Column,
      { className: 'column' },
      _react2.default.createElement(
        'p',
        { className: 'bd-notification is-info' },
        '1'
      )
    ),
    _react2.default.createElement(
      _columns2.default.Column,
      { className: 'column' },
      _react2.default.createElement(
        'p',
        { className: 'bd-notification is-warning' },
        '1'
      )
    )
  );
}).add('Nested', function () {
  return _react2.default.createElement(
    _columns2.default,
    null,
    _react2.default.createElement(
      _columns2.default.Column,
      { size: 'half' },
      _react2.default.createElement(
        'p',
        { className: 'bd-notification is-success' },
        'First Column'
      ),
      _react2.default.createElement(
        _columns2.default,
        null,
        _react2.default.createElement(
          _columns2.default.Column,
          { size: 'one-third' },
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-info' },
            'First Nested Column'
          )
        ),
        _react2.default.createElement(
          _columns2.default.Column,
          null,
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-warning' },
            'Second Nested Column (auto)'
          )
        )
      )
    ),
    _react2.default.createElement(
      _columns2.default.Column,
      { size: 'half' },
      _react2.default.createElement(
        'p',
        { className: 'bd-notification is-success' },
        'Second Column'
      ),
      _react2.default.createElement(
        _columns2.default,
        null,
        _react2.default.createElement(
          _columns2.default.Column,
          { size: 'half' },
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-info' },
            'First Nested Column (Half)'
          )
        ),
        _react2.default.createElement(
          _columns2.default.Column,
          { size: 'one-quarter' },
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-warning' },
            'Second Nested Column (one-quarter)'
          )
        ),
        _react2.default.createElement(
          _columns2.default.Column,
          null,
          _react2.default.createElement(
            'p',
            { className: 'bd-notification is-warning' },
            'Third Nested Column (auto)'
          )
        )
      )
    )
  );
}).add('gapless columns', function () {
  return _react2.default.createElement(
    _columns2.default,
    { gapless: true },
    _react2.default.createElement(
      _columns2.default.Column,
      null,
      _react2.default.createElement(
        'p',
        { className: 'bd-notification is-success' },
        ' First Column'
      )
    ),
    _react2.default.createElement(
      _columns2.default.Column,
      null,
      _react2.default.createElement(
        'p',
        { className: 'bd-notification is-info' },
        ' Middle Column'
      )
    ),
    _react2.default.createElement(
      _columns2.default.Column,
      null,
      _react2.default.createElement(
        'p',
        { className: 'bd-notification is-warning' },
        ' Last Column'
      )
    )
  );
});
//# sourceMappingURL=columns.story.js.map