'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames3 = require('classnames');

var _classnames4 = _interopRequireDefault(_classnames3);

var _modifiers = require('../../modifiers');

var _modifiers2 = _interopRequireDefault(_modifiers);

var _constants = require('../../constants');

var _constants2 = _interopRequireDefault(_constants);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var colors = [null].concat(Object.keys(_constants2.default.COLORS).map(function (key) {
  return _constants2.default.COLORS[key];
}));

var Icon = function Icon(_ref) {
  var _classnames;

  var icon = _ref.icon,
      size = _ref.size,
      color = _ref.color,
      className = _ref.className,
      align = _ref.align,
      children = _ref.children,
      allProps = _objectWithoutProperties(_ref, ['icon', 'size', 'color', 'className', 'align', 'children']);

  var props = _modifiers2.default.clean(allProps);
  return _react2.default.createElement(
    'span',
    _extends({}, props, {
      className: (0, _classnames4.default)('icon', _modifiers2.default.classnames(allProps), className, (_classnames = {}, _defineProperty(_classnames, 'is-' + size, size), _defineProperty(_classnames, 'is-' + align, align), _defineProperty(_classnames, 'has-text-' + color, color), _classnames))
    }),
    children || _react2.default.createElement('i', {
      className: (0, _classnames4.default)('rbc', _defineProperty({}, 'rbc-' + icon, icon))
    })
  );
};

Icon.propTypes = _extends({}, _modifiers2.default.propTypes, {
  icon: _propTypes2.default.string,
  children: _propTypes2.default.element,
  className: _propTypes2.default.string,
  style: _propTypes2.default.shape({}),
  size: _propTypes2.default.oneOf(['small', 'medium', 'large', 'auto']),
  align: _propTypes2.default.oneOf(['left', 'right']),
  color: _propTypes2.default.oneOf(colors)
});

Icon.defaultProps = _extends({}, _modifiers2.default.defaultProps, {
  className: '',
  style: {},
  size: null,
  color: null,
  children: null,
  align: null,
  icon: null
});

exports.default = Icon;
//# sourceMappingURL=icon.js.map