'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _level = require('react-bulma-components/lib/components/level');

var _level2 = _interopRequireDefault(_level);

var _form = require('react-bulma-components/lib/components/form');

var _heading = require('react-bulma-components/lib/components/heading');

var _heading2 = _interopRequireDefault(_heading);

var _button = require('react-bulma-components/lib/components/button');

var _button2 = _interopRequireDefault(_button);

var _hero = require('react-bulma-components/lib/components/hero');

var _hero2 = _interopRequireDefault(_hero);

var _container = require('react-bulma-components/lib/components/container');

var _container2 = _interopRequireDefault(_container);

var _box = require('react-bulma-components/lib/components/box');

var _box2 = _interopRequireDefault(_box);

var _section = require('react-bulma-components/lib/components/section');

var _section2 = _interopRequireDefault(_section);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var style = { textAlign: 'center' };

(0, _react3.storiesOf)('Level', module).addDecorator(function (story) {
  return _react2.default.createElement(
    _hero2.default,
    { size: 'fullheight' },
    _react2.default.createElement(
      _hero2.default.Head,
      { renderAs: 'header' },
      _react2.default.createElement(
        _container2.default,
        null,
        story()
      )
    )
  );
}).add('Default', function () {
  return _react2.default.createElement(
    _section2.default,
    null,
    _react2.default.createElement(
      _box2.default,
      null,
      _react2.default.createElement(
        _level2.default,
        { renderAs: 'nav' },
        _react2.default.createElement(
          _level2.default.Side,
          { align: 'left' },
          _react2.default.createElement(
            _level2.default.Item,
            null,
            _react2.default.createElement(
              _heading2.default,
              { size: 5, subtitle: true },
              _react2.default.createElement(
                'strong',
                null,
                '123'
              ),
              ' posts'
            )
          ),
          _react2.default.createElement(
            _level2.default.Item,
            null,
            _react2.default.createElement(
              _form.Field,
              { kind: 'addons' },
              _react2.default.createElement(
                _form.Control,
                null,
                _react2.default.createElement(_form.Input, { placeholder: 'Find a post' })
              ),
              _react2.default.createElement(
                _form.Control,
                null,
                _react2.default.createElement(
                  _button2.default,
                  { renderAs: 'button' },
                  'Search'
                )
              )
            )
          )
        ),
        _react2.default.createElement(
          _level2.default.Side,
          { align: 'right' },
          _react2.default.createElement(
            _level2.default.Item,
            null,
            _react2.default.createElement(
              'strong',
              null,
              'All'
            )
          ),
          _react2.default.createElement(
            _level2.default.Item,
            null,
            _react2.default.createElement(
              'a',
              null,
              'Published'
            )
          ),
          _react2.default.createElement(
            _level2.default.Item,
            null,
            _react2.default.createElement(
              'a',
              null,
              'Drafts'
            )
          ),
          _react2.default.createElement(
            _level2.default.Item,
            null,
            _react2.default.createElement(
              'a',
              null,
              'Deleted'
            )
          ),
          _react2.default.createElement(
            _level2.default.Item,
            null,
            _react2.default.createElement(
              _button2.default,
              { renderAs: 'a', color: 'success' },
              'New'
            )
          )
        )
      )
    )
  );
}).add('Items Centered', function () {
  return _react2.default.createElement(
    _section2.default,
    null,
    _react2.default.createElement(
      _box2.default,
      null,
      _react2.default.createElement(
        _level2.default,
        { renderAs: 'nav' },
        _react2.default.createElement(
          _level2.default.Item,
          { style: style },
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              _heading2.default,
              { renderAs: 'p', heading: true },
              'Tweets'
            ),
            _react2.default.createElement(
              _heading2.default,
              { renderAs: 'p' },
              '3,210'
            )
          )
        ),
        _react2.default.createElement(
          _level2.default.Item,
          { style: style },
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              _heading2.default,
              { renderAs: 'p', heading: true },
              'Following'
            ),
            _react2.default.createElement(
              _heading2.default,
              { renderAs: 'p' },
              '210'
            )
          )
        ),
        _react2.default.createElement(
          _level2.default.Item,
          { style: style },
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              _heading2.default,
              { renderAs: 'p', heading: true },
              'Followers'
            ),
            _react2.default.createElement(
              _heading2.default,
              { renderAs: 'p' },
              '321'
            )
          )
        ),
        _react2.default.createElement(
          _level2.default.Item,
          { style: style },
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              _heading2.default,
              { renderAs: 'p', heading: true },
              'Likes'
            ),
            _react2.default.createElement(
              _heading2.default,
              { renderAs: 'p' },
              '321K'
            )
          )
        )
      )
    )
  );
}).add('With breakpoint', function () {
  return ['mobile', null].map(function (breakpoint) {
    return _react2.default.createElement(
      _section2.default,
      null,
      _react2.default.createElement(
        _heading2.default,
        null,
        breakpoint || 'Without breakpoint'
      ),
      _react2.default.createElement(
        _box2.default,
        null,
        _react2.default.createElement(
          _level2.default,
          { renderAs: 'nav', breakpoint: breakpoint },
          _react2.default.createElement(
            _level2.default.Item,
            { style: style },
            _react2.default.createElement(
              'div',
              null,
              _react2.default.createElement(
                _heading2.default,
                { renderAs: 'p', heading: true },
                'Tweets'
              ),
              _react2.default.createElement(
                _heading2.default,
                { renderAs: 'p' },
                '3,210'
              )
            )
          ),
          _react2.default.createElement(
            _level2.default.Item,
            { style: style },
            _react2.default.createElement(
              'div',
              null,
              _react2.default.createElement(
                _heading2.default,
                { renderAs: 'p', heading: true },
                'Following'
              ),
              _react2.default.createElement(
                _heading2.default,
                { renderAs: 'p' },
                '210'
              )
            )
          ),
          _react2.default.createElement(
            _level2.default.Item,
            { style: style },
            _react2.default.createElement(
              'div',
              null,
              _react2.default.createElement(
                _heading2.default,
                { renderAs: 'p', heading: true },
                'Followers'
              ),
              _react2.default.createElement(
                _heading2.default,
                { renderAs: 'p' },
                '321'
              )
            )
          ),
          _react2.default.createElement(
            _level2.default.Item,
            { style: style },
            _react2.default.createElement(
              'div',
              null,
              _react2.default.createElement(
                _heading2.default,
                { renderAs: 'p', heading: true },
                'Likes'
              ),
              _react2.default.createElement(
                _heading2.default,
                { renderAs: 'p' },
                '321K'
              )
            )
          )
        )
      )
    );
  });
});
//# sourceMappingURL=level.story.js.map