'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _media = require('react-bulma-components/lib/components/media');

var _media2 = _interopRequireDefault(_media);

var _image = require('react-bulma-components/lib/components/image');

var _image2 = _interopRequireDefault(_image);

var _content = require('react-bulma-components/lib/components/content');

var _content2 = _interopRequireDefault(_content);

var _button = require('react-bulma-components/lib/components/button');

var _button2 = _interopRequireDefault(_button);

var _level = require('react-bulma-components/lib/components/level');

var _level2 = _interopRequireDefault(_level);

var _section = require('react-bulma-components/lib/components/section');

var _section2 = _interopRequireDefault(_section);

var _box = require('react-bulma-components/lib/components/box');

var _box2 = _interopRequireDefault(_box);

var _form = require('react-bulma-components/lib/components/form');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var style = { background: '#e6e6e6', width: 64, height: 64 };

(0, _react3.storiesOf)('Media', module).add('Default', function () {
  return _react2.default.createElement(
    _section2.default,
    null,
    _react2.default.createElement(
      _box2.default,
      null,
      _react2.default.createElement(
        _media2.default,
        null,
        _react2.default.createElement(
          _media2.default.Item,
          { renderAs: 'figure', position: 'left' },
          _react2.default.createElement(_image2.default, { renderAs: 'p', size: 64, alt: '64x64', src: 'http://bulma.io/images/placeholders/128x128.png' })
        ),
        _react2.default.createElement(
          _media2.default.Item,
          null,
          _react2.default.createElement(
            _content2.default,
            null,
            _react2.default.createElement(
              'p',
              null,
              _react2.default.createElement(
                'strong',
                null,
                'John Smith'
              ),
              ' ',
              _react2.default.createElement(
                'small',
                null,
                '@johnsmith'
              ),
              ' ',
              _react2.default.createElement(
                'small',
                null,
                '31m'
              ),
              _react2.default.createElement('br', null),
              'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin ornare magna eros, eu pellentesque tortor vestibulum ut. Maecenas non massa sem. Etiam finibus odio quis feugiat facilisis.'
            )
          ),
          _react2.default.createElement(
            _level2.default,
            { breakpoint: 'mobile' },
            _react2.default.createElement(
              _level2.default.Side,
              { align: 'left' },
              _react2.default.createElement(
                _button2.default,
                { link: true },
                'Like'
              ),
              _react2.default.createElement(
                _button2.default,
                { link: true },
                'Share'
              )
            )
          )
        )
      )
    )
  );
}).add('Right Media', function () {
  return _react2.default.createElement(
    _section2.default,
    null,
    _react2.default.createElement(
      _box2.default,
      null,
      _react2.default.createElement(
        _media2.default,
        null,
        _react2.default.createElement(
          _media2.default.Item,
          null,
          _react2.default.createElement(
            'p',
            null,
            'Lorem Ipsum'
          )
        ),
        _react2.default.createElement(
          _media2.default.Item,
          { renderAs: 'figure', position: 'right' },
          _react2.default.createElement('img', { style: style, alt: '64x64', src: 'http://bulma.io/images/placeholders/128x128.png' })
        )
      )
    )
  );
}).add('Nested', function () {
  return _react2.default.createElement(
    _section2.default,
    null,
    _react2.default.createElement(
      _box2.default,
      null,
      _react2.default.createElement(
        _media2.default,
        { renderAs: 'article' },
        _react2.default.createElement(
          _media2.default.Item,
          { position: 'left' },
          _react2.default.createElement(_image2.default, { src: 'http://bulma.io/images/placeholders/128x128.png', size: 64, renderAs: 'p' })
        ),
        _react2.default.createElement(
          _media2.default.Item,
          { position: 'center' },
          _react2.default.createElement(
            _content2.default,
            null,
            _react2.default.createElement(
              'p',
              null,
              _react2.default.createElement(
                'strong',
                null,
                'Barbara Middleton'
              ),
              _react2.default.createElement('br', null),
              'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis porta eros lacus, nec ultricies elit blandit non. Suspendisse pellentesque mauris sit amet dolor blandit rutrum. Nunc in tempus turpis.',
              _react2.default.createElement('br', null),
              _react2.default.createElement(
                'small',
                null,
                _react2.default.createElement(
                  'a',
                  null,
                  'Like'
                ),
                ' \xB7 ',
                _react2.default.createElement(
                  'a',
                  null,
                  'Reply'
                ),
                ' \xB7 3 hrs'
              )
            )
          ),
          _react2.default.createElement(
            _media2.default,
            null,
            _react2.default.createElement(
              _media2.default.Item,
              { position: 'left' },
              _react2.default.createElement(_image2.default, { src: 'http://bulma.io/images/placeholders/128x128.png', size: 48, renderAs: 'p' })
            ),
            _react2.default.createElement(
              _media2.default.Item,
              { position: 'center' },
              _react2.default.createElement(
                _content2.default,
                null,
                _react2.default.createElement(
                  'p',
                  null,
                  _react2.default.createElement(
                    'strong',
                    null,
                    'Sean Brown'
                  ),
                  _react2.default.createElement('br', null),
                  'Donec sollicitudin urna eget eros malesuada sagittis. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam blandit nisl a nulla sagittis, a lobortis leo feugiat.',
                  _react2.default.createElement('br', null),
                  _react2.default.createElement(
                    'small',
                    null,
                    _react2.default.createElement(
                      'a',
                      null,
                      'Like'
                    ),
                    ' \xB7 ',
                    _react2.default.createElement(
                      'a',
                      null,
                      'Reply'
                    ),
                    ' \xB7 2 hrs'
                  )
                )
              ),
              _react2.default.createElement(
                _media2.default,
                null,
                'Vivamus quis semper metus, non tincidunt dolor. Vivamus in mi eu lorem cursus ullamcorper sit amet nec massa.'
              ),
              _react2.default.createElement(
                _media2.default,
                null,
                'Morbi vitae diam et purus tincidunt porttitor vel vitae augue. Praesent malesuada metus sed pharetra euismod. Cras tellus odio, tincidunt iaculis diam non, porta aliquet tortor.'
              )
            )
          ),
          _react2.default.createElement(
            _media2.default,
            null,
            _react2.default.createElement(
              _media2.default.Item,
              { position: 'left' },
              _react2.default.createElement(_image2.default, { src: 'http://bulma.io/images/placeholders/96x96.png', size: 48, renderAs: 'p' })
            ),
            _react2.default.createElement(
              _media2.default.Item,
              { position: 'center' },
              _react2.default.createElement(
                _content2.default,
                null,
                _react2.default.createElement(
                  'p',
                  null,
                  _react2.default.createElement(
                    'strong',
                    null,
                    'Kayli Eunice '
                  ),
                  _react2.default.createElement('br', null),
                  'Sed convallis scelerisque mauris, non pulvinar nunc mattis vel. Maecenas varius felis sit amet magna vestibulum euismod malesuada cursus libero. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Phasellus lacinia non nisl id feugiat.',
                  _react2.default.createElement('br', null),
                  _react2.default.createElement(
                    'small',
                    null,
                    _react2.default.createElement(
                      'a',
                      null,
                      'Like'
                    ),
                    ' \xB7 ',
                    _react2.default.createElement(
                      'a',
                      null,
                      'Reply'
                    ),
                    ' \xB7 2 hrs'
                  )
                )
              )
            )
          )
        )
      ),
      _react2.default.createElement(
        _media2.default,
        { renderAs: 'article' },
        _react2.default.createElement(
          _media2.default.Item,
          { position: 'left' },
          _react2.default.createElement(_image2.default, { src: 'http://bulma.io/images/placeholders/128x128.png', size: 64, renderAs: 'p' })
        ),
        _react2.default.createElement(
          _media2.default.Item,
          { position: 'center' },
          _react2.default.createElement(
            _form.Field,
            null,
            _react2.default.createElement(
              _form.Control,
              { renderAs: 'p' },
              _react2.default.createElement(_form.Textarea, { placeholder: 'Add a comment...' })
            )
          ),
          _react2.default.createElement(
            _form.Field,
            null,
            _react2.default.createElement(
              _form.Control,
              { renderAs: 'p' },
              _react2.default.createElement(
                _button2.default,
                null,
                'Post comment'
              )
            )
          )
        )
      )
    )
  );
});
//# sourceMappingURL=media.story.js.map