'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react3 = require('@storybook/react');

var _modal = require('react-bulma-components/lib/components/modal');

var _modal2 = _interopRequireDefault(_modal);

var _image = require('react-bulma-components/lib/components/image');

var _image2 = _interopRequireDefault(_image);

var _media = require('react-bulma-components/lib/components/media');

var _media2 = _interopRequireDefault(_media);

var _button = require('react-bulma-components/lib/components/button');

var _button2 = _interopRequireDefault(_button);

var _content = require('react-bulma-components/lib/components/content');

var _content2 = _interopRequireDefault(_content);

var _section = require('react-bulma-components/lib/components/section');

var _section2 = _interopRequireDefault(_section);

var _level = require('react-bulma-components/lib/components/level');

var _level2 = _interopRequireDefault(_level);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var OpenModal = function (_React$Component) {
  _inherits(OpenModal, _React$Component);

  function OpenModal() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, OpenModal);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = OpenModal.__proto__ || Object.getPrototypeOf(OpenModal)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      show: false
    }, _this.open = function () {
      return _this.setState({ show: true });
    }, _this.close = function () {
      return _this.setState({ show: false });
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(OpenModal, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          _button2.default,
          { onClick: this.open },
          'Open'
        ),
        _react2.default.createElement(
          _modal2.default,
          _extends({ show: this.state.show, onClose: this.close }, this.props.modal),
          this.props.children
        )
      );
    }
  }]);

  return OpenModal;
}(_react2.default.Component);

OpenModal.propTypes = {
  modal: _propTypes2.default.object,
  children: _propTypes2.default.node.isRequired
};
OpenModal.defaultProps = {
  modal: {}
};


(0, _react3.storiesOf)('Modal', module).add('Default', function () {
  return _react2.default.createElement(
    OpenModal,
    { modal: { closeOnEsc: false } },
    _react2.default.createElement(
      _modal2.default.Content,
      null,
      _react2.default.createElement(
        _section2.default,
        { style: { backgroundColor: 'white' } },
        'Click on the ',
        '"X"',
        ' button on the top-right button to close the Modal (pass closeOnEsc=false to the modal to avoid closing it with the keyboard)'
      )
    )
  );
}).add('Close with keyboard', function () {
  return _react2.default.createElement(
    OpenModal,
    { modal: { showClose: false } },
    _react2.default.createElement(
      _modal2.default.Content,
      null,
      _react2.default.createElement(
        _section2.default,
        { style: { backgroundColor: 'white' } },
        'Press ESC on your keyboard to close this modal, Pass  showClose: false if you want to hide the close button'
      )
    )
  );
}).add('Close on click outside', function () {
  return _react2.default.createElement(
    OpenModal,
    { modal: { closeOnBlur: true, showClose: false } },
    _react2.default.createElement(
      _modal2.default.Content,
      null,
      _react2.default.createElement(
        _section2.default,
        { style: { backgroundColor: 'white' } },
        'Pass closeOnBlur: true to enable to close the Modal when the user click outside the main modal container'
      )
    )
  );
}).add('Modal Card', function () {
  return _react2.default.createElement(
    OpenModal,
    { modal: { closeOnBlur: true } },
    _react2.default.createElement(
      _modal2.default.Card,
      null,
      _react2.default.createElement(
        _modal2.default.Card.Head,
        null,
        _react2.default.createElement(
          _modal2.default.Card.Title,
          null,
          'Title'
        )
      ),
      _react2.default.createElement(
        _modal2.default.Card.Body,
        null,
        _react2.default.createElement(
          _media2.default,
          null,
          _react2.default.createElement(
            _media2.default.Item,
            { renderAs: 'figure', position: 'left' },
            _react2.default.createElement(_image2.default, { renderAs: 'p', size: 64, alt: '64x64', src: 'http://bulma.io/images/placeholders/128x128.png' })
          ),
          _react2.default.createElement(
            _media2.default.Item,
            null,
            _react2.default.createElement(
              _content2.default,
              null,
              _react2.default.createElement(
                'p',
                null,
                _react2.default.createElement(
                  'strong',
                  null,
                  'John Smith'
                ),
                ' ',
                _react2.default.createElement(
                  'small',
                  null,
                  '@johnsmith'
                ),
                ' ',
                _react2.default.createElement(
                  'small',
                  null,
                  '31m'
                ),
                _react2.default.createElement('br', null),
                'If the children of the Modal is a card, the close button will be on the Card Head instead than the top-right corner You can also pass showClose = false to Card.Head to hide the close button'
              )
            ),
            _react2.default.createElement(
              _level2.default,
              { breakpoint: 'mobile' },
              _react2.default.createElement(
                _level2.default.Side,
                { align: 'left' },
                _react2.default.createElement(
                  _button2.default,
                  { link: true },
                  'Like'
                ),
                _react2.default.createElement(
                  _button2.default,
                  { link: true },
                  'Share'
                )
              )
            )
          )
        )
      ),
      _react2.default.createElement(
        _modal2.default.Card.Foot,
        { style: { alignItems: 'center', justifyContent: 'center' } },
        _react2.default.createElement(
          'p',
          null,
          'Lorem Ipsum...'
        )
      )
    )
  );
});
//# sourceMappingURL=modal.story.js.map